Assignments Assignments

Public Member Functions | Private Attributes | List of all members
Ray::KeyFrameData< DataType > Class Template Reference

`#include <keyFrames.h>`

## Public Member Functions
| KeyFrameData (void)
| ~KeyFrameData (void)
float | duration (void) const
int | keyframes (void) const
int | dofs (void) const
const DataType & | current (const std::string &dofName) const
template<typename ParameterType >
void | setEvaluator (void)
void | setCurrentValues (double t, int curveType)

## Private Attributes
float | _duration
std::vector< std::string > | _dofNames
std::vector< std::vector< DataType > > | _data
std::vector< DataType > | _currentValues
KeyFrameEvaluator< DataType > * | _keyFrameEvaluator

## Detailed Description

template<typename DataType>
class Ray::KeyFrameData< DataType >

This templated class represents a set of key-frame values associated to named degrees of freedom

## Constructor & Destructor Documentation

## ◆ KeyFrameData()

template<typename DataType >

Ray::KeyFrameData< DataType >::KeyFrameData | ( | void |  | ) |

The default constructor

## ◆ ~KeyFrameData()

template<typename DataType >

Ray::KeyFrameData< DataType >::~KeyFrameData | ( | void |  | ) |

The destructor

## Member Function Documentation

## ◆ current()

template<typename DataType >

const DataType & Ray::KeyFrameData< DataType >::current | ( | const std::string & | dofName | ) | const

This method returns a reference to the DataType storing the current data for the specified dof

## ◆ dofs()

template<typename DataType >

int Ray::KeyFrameData< DataType >::dofs | ( | void |  | ) | const

This method returns the number of parameters stored.

## ◆ duration()

template<typename DataType >

float Ray::KeyFrameData< DataType >::duration | ( | void |  | ) | const

This is the duration (in seconds) over which the animation is to play

## ◆ keyframes()

template<typename DataType >

int Ray::KeyFrameData< DataType >::keyframes | ( | void |  | ) | const

This method returns the number of key-frames stored.

## ◆ setCurrentValues()

template<typename DataType >

void Ray::KeyFrameData< DataType >::setCurrentValues | ( | double | t,
|  | int | curveType )

This method updates the current value of all the parameters, using the interpolation/approximation method specified by curveType

## ◆ setEvaluator()

template<typename DataType >
template<typename ParameterType >

void Ray::KeyFrameData< DataType >::setEvaluator | ( | void |  | ) |

This templated method sets the evaluator using the prescribed type of parameter

## Member Data Documentation

## ◆ _currentValues

template<typename DataType >

std::vector< DataType > Ray::KeyFrameData< DataType >::_currentValues
| private

The current values for the different degrees of freedom

## ◆ _data

template<typename DataType >

std::vector< std::vector< DataType > > Ray::KeyFrameData< DataType >::_data
| private

The key-frame values for the different degrees of freedom

## ◆ _dofNames

template<typename DataType >

std::vector< std::string > Ray::KeyFrameData< DataType >::_dofNames
| private

The names of the degrees of freedom

## ◆ _duration

template<typename DataType >

float Ray::KeyFrameData< DataType >::_duration
| private

The duration of the animation

## ◆ _keyFrameEvaluator

template<typename DataType >

KeyFrameEvaluator< DataType >* Ray::KeyFrameData< DataType >::_keyFrameEvaluator
| private

An object enabling the interpolation of key frame values

The documentation for this class was generated from the following files:

- Assignments/Ray/keyFrames.h
- Assignments/Ray/keyFrames.inl